Subject: Re: How I can reset TCP sockets after long suspend/resume cyscle

From: Maxim Levitsky <[email-masked]>
Date: Thu, 05 Jun 2008 00:00:08 +0300

> TCP should recover from this anyway. As soon as any activity happens
> on the connection the other end will respond with reset.  For an IMAP
> session doing the next get-mail should cause a connection reset.
> Now it is possible that mail client has other problems.
> 

I will check this again, but this isn't specific to imap,
I remember that leaving a running download results is same hang behavior.
(I agree that after a bit long timeout (about 1~2 minutes) connection is 
reset, but this is annoying, especially if you turned up your system to 
read mail.)

And exiting kmail won't help, since it does mail i/o via kio ioslave
and thus I have to ether wait 2 minutes or kill this ioslave.

Best regards,
	Maxim Levitsky